Overview
PUT
/content/keyword-items/{id}contentUpdate keyword_items
Replace a record in keyword-items by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- keywordIdoptionalstring
- targetKindoptionalstring
- targetIdoptionalstring
- sortOrderoptionalinteger
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"keywordId": "string",
"targetKind": "string",
"targetId": "string",
"sortOrder": 0
}Responses
200
keyword_items
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- keywordIdstring
- targetKindstring
- targetIdstring
- sortOrderinteger
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"keywordId": "string",
"targetKind": "string",
"targetId": "string",
"sortOrder": 0,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/keyword-items/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"keywordId": "string",
"targetKind": "string",
"targetId": "string",
"sortOrder": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/keyword-items/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"keywordId\": \"string\",\n \"targetKind\": \"string\",\n \"targetId\": \"string\",\n \"sortOrder\": 0\n}",
});
const data = await res.json();